Commit 69affe73 authored by Manuel Franceschini's avatar Manuel Franceschini

Document primary ip version and ndisc6

Signed-off-by: default avatarManuel Franceschini <livewire@google.com>
Reviewed-by: default avatarIustin Pop <iustin@google.com>
parent 2e6469a1
......@@ -24,6 +24,7 @@ Before installing, please verify that you have the following programs:
- `bridge utilities <http://www.linuxfoundation.org/en/Net:Bridge>`_
- `iproute2 <http://www.linuxfoundation.org/en/Net:Iproute2>`_
- `arping <http://www.skbuff.net/iputils/>`_ (part of iputils)
- `ndisc6 <http://www.remlab.net/ndisc6/>`_ (if using IPv6)
- `Python <http://www.python.org/>`_, version 2.4 or above, not 3.0
- `Python OpenSSL bindings <http://pyopenssl.sourceforge.net/>`_
- `simplejson Python module <http://code.google.com/p/simplejson/>`_
......@@ -44,9 +45,9 @@ Debian/Ubuntu, you can use this command line to install all required
packages, except for DRBD and Xen::
$ apt-get install lvm2 ssh bridge-utils iproute iputils-arping \
python python-pyopenssl openssl python-pyparsing \
python-simplejson python-pyinotify python-pycurl \
socat
ndisc6 python python-pyopenssl openssl \
python-pyparsing python-simplejson \
python-pyinotify python-pycurl socat
If you want to build from source, please see doc/devnotes.rst for more
dependencies.
......
......@@ -256,6 +256,8 @@
<sbr>
<arg>-I <replaceable>default instance allocator</replaceable></arg>
<sbr>
<arg>--primary-ip-version <replaceable>version</replaceable></arg>
<sbr>
<arg choice="req"><replaceable>clustername</replaceable></arg>
</cmdsynopsis>
......@@ -551,6 +553,13 @@
<command>modify</command> command.
</para>
<para>
The <option>--primary-ip-version</option> option specifies the
IP version used for the primary address. Possible values are 4 and
6 for IPv4 and IPv6, respectively. This option is used when resolving
node names and the cluster name.
</para>
</refsect2>
<refsect2>
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment